Holger's Java API

## com.antelmann.util
Class ProcessorList<T,E extends Exception>

    java.lang.Object
      com.antelmann.util.ProcessorList<T,E>

All Implemented Interfaces:
  Processor<T,E>, ProcessorHook<T,E>

    public class ProcessorList<T,E extends Exception>

extends Object
implements Processor<T,E>, ProcessorHook<T,E>

allows to combine different processors.

Since:
  07.10.2013, 17:41:15
Author:
  holger

Constructor Summary
`ProcessorList()`
`ProcessorList(List<Processor<T,? extends E>> list)`

Method Summary
`void` `add(Processor<T,? extends E> processor)`
`void` `clear()`
`List<Processor<T,? extends E>>` `getAll()` returns a newly created list not backed by the embedded list
`T` `process(T item)`
`boolean` `remove(Processor<T,? extends E> processor)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorList

    public ProcessorList()

### ProcessorList

    public ProcessorList(List<Processor<T,? extends E>> list)

Method Detail

### add

    public void add(Processor<T,? extends E> processor)

  Specified by:
    `add` in interface `ProcessorHook<T,E extends Exception>`

### remove

    public boolean remove(Processor<T,? extends E> processor)

  Specified by:
    `remove` in interface `ProcessorHook<T,E extends Exception>`

### size

    public int size()

### clear

    public void clear()

### getAll

    public List<Processor<T,? extends E>> getAll()

  returns a newly created list not backed by the embedded list

### process

    public T process(T item)
              throws E extends Exception

  Specified by:
    `process` in interface `Processor<T,E extends Exception>`
  Throws:
    `E extends Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads